## org.hibernate.bytecode.javassist
Interface FieldFilter

    public interface FieldFilter

Contract for deciding whether fields should be read and/or write intercepted.

Author:
  Muga Nishizawa, Steve Ebersole

Method Summary
`boolean` `handleRead(String desc, String name)` Should the given field be read intercepted?
`boolean` `handleReadAccess(String fieldOwnerClassName, String fieldName)`
`boolean` `handleWrite(String desc, String name)` Should the given field be write intercepted?
`boolean` `handleWriteAccess(String fieldOwnerClassName, String fieldName)`

Method Detail

### handleRead

    boolean handleRead(String desc,
                       String name)

  Should the given field be read intercepted?

  Parameters:
    `desc` -
    `name` -
  Returns:
    true if the given field should be read intercepted; otherwise false.

### handleWrite

    boolean handleWrite(String desc,
                        String name)

  Should the given field be write intercepted?

  Parameters:
    `desc` -
    `name` -
  Returns:
    true if the given field should be write intercepted; otherwise false.

### handleReadAccess

    boolean handleReadAccess(String fieldOwnerClassName,
                             String fieldName)

### handleWriteAccess

    boolean handleWriteAccess(String fieldOwnerClassName,
                              String fieldName)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.